<?php
/**
 * Welcome Screen Class
 */
class agency_elementor_screen {

	/**
	 * Constructor for the Notice
	 */
	public function __construct() {

		/* activation notice */
		add_action( 'load-themes.php', array( $this, 'agency_elementor_activation_admin_notice' ) );
		add_action( 'wp_ajax_agency_elementor_dismiss_notice', array( $this, 'agency_elementor_dismiss_notice' ) );
	}
	
	public function agency_elementor_activation_admin_notice() {
		global $pagenow;

		if ( is_admin() && ('themes.php' == $pagenow) ) {
			add_action( 'admin_notices', array( $this, 'agency_elementor_admin_notice' ), 99 );
		}
	}

	
	public function agency_elementor_admin_notice() {
		// Check if user has already dismissed the notice
	    if ( get_user_meta( get_current_user_id(), 'agency_elementor_notice_dismissed', true ) ) {
	        return;
	    }
	    ?>	

		<div class="notice notice-success is-dismissible agency-elementor-notice">
	        <h1>
	        	<?php
				$theme_info = wp_get_theme();
				printf( 
					esc_html__('Thanks for installing  %1$s ', 'agency-elementor'), 
					esc_html( $theme_info->Name ), 
					esc_html( $theme_info->Version ) );
				?>
			</h1>
	        <p><?php echo  esc_html__("Welcome! Thank you for choosing agency elementor WordPress theme. To take full advantage of the features this theme Please Install Our Demo", "agency-elementor"); ?></p>
	        <p class="note1">
	        	<a href="https://testerwp.com/docs/agency-elementor/how-to-install-agency-elementor-theme/" class="button button-blue-secondary button_info" style="text-decoration: none;" target="_blank"><?php echo esc_html__('Read Documentation','agency-elementor'); ?></a> 
	        	<a href="themes.php?page=texture_started" target="_blank" class="button button-blue-secondary button_info" style="text-decoration: none;"><?php echo esc_html__('View Details','agency-elementor'); ?></a>
	        </p>
	    </div>
		
		<script type="text/javascript">
	    jQuery(document).on('click', '.agency-elementor-notice .notice-dismiss', function () {
	        jQuery.post(ajaxurl, {
	            action: 'agency_elementor_dismiss_notice'
	        });
	    });
	    </script>
	    <?php
	}

	public function agency_elementor_dismiss_notice() {
	    update_user_meta(get_current_user_id(), 'agency_elementor_notice_dismissed', 1);
	    wp_die();
	}
	
}

$GLOBALS['agency_elementor_screen'] = new agency_elementor_screen();

function agency_elementor_scripts_fn() {

    global $agency_elementor_theme_version;

    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
}
add_action( 'admin_enqueue_scripts', 'agency_elementor_scripts_fn' );


?>